io.vertx.micrometer

## Class MetricsNaming

- java.lang.Object
- - io.vertx.micrometer.MetricsNaming

-     public class MetricsNaming
      extends Object

  Options for naming all metrics
  Author:
    Joel Takvorian

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetricsNaming()` Default constructor
    `MetricsNaming(JsonObject json)` Create an instance from a `JsonObject`
    `MetricsNaming(MetricsNaming other)` Copy constructor

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClientProcessingPending()`
    `String` | `getClientProcessingTime()`
    `String` | `getClientQueuePending()`
    `String` | `getClientQueueTime()`
    `String` | `getClientResetsCount()`
    `String` | `getDatagramBytesRead()`
    `String` | `getDatagramBytesWritten()`
    `String` | `getDatagramErrorCount()`
    `String` | `getEbBytesRead()`
    `String` | `getEbBytesWritten()`
    `String` | `getEbDelivered()`
    `String` | `getEbDiscarded()`
    `String` | `getEbHandlers()`
    `String` | `getEbPending()`
    `String` | `getEbProcessed()`
    `String` | `getEbPublished()`
    `String` | `getEbReceived()`
    `String` | `getEbReplyFailures()`
    `String` | `getEbSent()`
    `String` | `getHttpActiveRequests()`
    `String` | `getHttpActiveWsConnections()`
    `String` | `getHttpQueuePending()`
    `String` | `getHttpQueueTime()`
    `String` | `getHttpRequestBytes()`
    `String` | `getHttpRequestResetsCount()`
    `String` | `getHttpRequestsCount()`
    `String` | `getHttpResponseBytes()`
    `String` | `getHttpResponsesCount()`
    `String` | `getHttpResponseTime()`
    `String` | `getNetActiveConnections()`
    `String` | `getNetBytesRead()`
    `String` | `getNetBytesWritten()`
    `String` | `getNetErrorCount()`
    `String` | `getPoolCompleted()`
    `String` | `getPoolInUse()`
    `String` | `getPoolQueuePending()`
    `String` | `getPoolQueueTime()`
    `String` | `getPoolUsage()`
    `String` | `getPoolUsageRatio()`
    `MetricsNaming` | `setClientProcessingPending(String clientProcessingPending)`
    `MetricsNaming` | `setClientProcessingTime(String clientProcessingTime)`
    `MetricsNaming` | `setClientQueuePending(String clientQueuePending)`
    `MetricsNaming` | `setClientQueueTime(String clientQueueTime)`
    `MetricsNaming` | `setClientResetsCount(String clientResetsCount)`
    `MetricsNaming` | `setDatagramBytesRead(String datagramBytesRead)`
    `MetricsNaming` | `setDatagramBytesWritten(String datagramBytesWritten)`
    `MetricsNaming` | `setDatagramErrorCount(String datagramErrorCount)`
    `MetricsNaming` | `setEbBytesRead(String ebBytesRead)`
    `MetricsNaming` | `setEbBytesWritten(String ebBytesWritten)`
    `MetricsNaming` | `setEbDelivered(String ebDelivered)`
    `MetricsNaming` | `setEbDiscarded(String ebDiscarded)`
    `MetricsNaming` | `setEbHandlers(String ebHandlers)`
    `MetricsNaming` | `setEbPending(String ebPending)`
    `MetricsNaming` | `setEbProcessed(String ebProcessed)`
    `MetricsNaming` | `setEbPublished(String ebPublished)`
    `MetricsNaming` | `setEbReceived(String ebReceived)`
    `MetricsNaming` | `setEbReplyFailures(String ebReplyFailures)`
    `MetricsNaming` | `setEbSent(String ebSent)`
    `MetricsNaming` | `setHttpActiveRequests(String httpActiveRequests)`
    `MetricsNaming` | `setHttpActiveWsConnections(String httpActiveWsConnections)`
    `MetricsNaming` | `setHttpQueuePending(String httpQueuePending)`
    `MetricsNaming` | `setHttpQueueTime(String httpQueueTime)`
    `MetricsNaming` | `setHttpRequestBytes(String httpRequestBytes)`
    `MetricsNaming` | `setHttpRequestResetsCount(String httpRequestResetsCount)`
    `MetricsNaming` | `setHttpRequestsCount(String httpRequestsCount)`
    `MetricsNaming` | `setHttpResponseBytes(String httpResponseBytes)`
    `MetricsNaming` | `setHttpResponsesCount(String httpResponsesCount)`
    `MetricsNaming` | `setHttpResponseTime(String httpResponseTime)`
    `MetricsNaming` | `setNetActiveConnections(String netActiveConnections)`
    `MetricsNaming` | `setNetBytesRead(String netBytesRead)`
    `MetricsNaming` | `setNetBytesWritten(String netBytesWritten)`
    `MetricsNaming` | `setNetErrorCount(String netErrorCount)`
    `MetricsNaming` | `setPoolCompleted(String poolCompleted)`
    `MetricsNaming` | `setPoolInUse(String poolInUse)`
    `MetricsNaming` | `setPoolQueuePending(String poolQueuePending)`
    `MetricsNaming` | `setPoolQueueTime(String poolQueueTime)`
    `MetricsNaming` | `setPoolUsage(String poolUsage)`
    `MetricsNaming` | `setPoolUsageRatio(String poolUsageRatio)`
    `JsonObject` | `toJson()`
    `static MetricsNaming` | `v3Names()`
    `static MetricsNaming` | `v4Names()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetricsNaming

          public MetricsNaming()

      Default constructor

    - #### MetricsNaming

          public MetricsNaming(MetricsNaming other)

      Copy constructor
      Parameters:
        `other` - The other `MetricsNaming` to copy when creating this

    - #### MetricsNaming

          public MetricsNaming(JsonObject json)

      Create an instance from a `JsonObject`
      Parameters:
        `json` - the JsonObject to create it from

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Returns:
        a JSON representation of these options

    - #### v3Names

          public static MetricsNaming v3Names()

    - #### v4Names

          public static MetricsNaming v4Names()

    - #### getClientQueueTime

          public String getClientQueueTime()

    - #### getClientQueuePending

          public String getClientQueuePending()

    - #### getClientProcessingTime

          public String getClientProcessingTime()

    - #### getClientProcessingPending

          public String getClientProcessingPending()

    - #### getClientResetsCount

          public String getClientResetsCount()

    - #### getDatagramBytesRead

          public String getDatagramBytesRead()

    - #### getDatagramBytesWritten

          public String getDatagramBytesWritten()

    - #### getDatagramErrorCount

          public String getDatagramErrorCount()

    - #### getEbHandlers

          public String getEbHandlers()

    - #### getEbPending

          public String getEbPending()

    - #### getEbProcessed

          public String getEbProcessed()

    - #### getEbPublished

          public String getEbPublished()

    - #### getEbSent

          public String getEbSent()

    - #### getEbReceived

          public String getEbReceived()

    - #### getEbDelivered

          public String getEbDelivered()

    - #### getEbDiscarded

          public String getEbDiscarded()

    - #### getEbReplyFailures

          public String getEbReplyFailures()

    - #### getEbBytesRead

          public String getEbBytesRead()

    - #### getEbBytesWritten

          public String getEbBytesWritten()

    - #### getHttpQueueTime

          public String getHttpQueueTime()

    - #### getHttpQueuePending

          public String getHttpQueuePending()

    - #### getHttpActiveRequests

          public String getHttpActiveRequests()

    - #### getHttpRequestsCount

          public String getHttpRequestsCount()

    - #### getHttpRequestBytes

          public String getHttpRequestBytes()

    - #### getHttpResponseTime

          public String getHttpResponseTime()

    - #### getHttpResponsesCount

          public String getHttpResponsesCount()

    - #### getHttpResponseBytes

          public String getHttpResponseBytes()

    - #### getHttpActiveWsConnections

          public String getHttpActiveWsConnections()

    - #### getHttpRequestResetsCount

          public String getHttpRequestResetsCount()

    - #### getNetActiveConnections

          public String getNetActiveConnections()

    - #### getPoolUsage

          public String getPoolUsage()

    - #### getPoolInUse

          public String getPoolInUse()

    - #### getPoolUsageRatio

          public String getPoolUsageRatio()

    - #### getPoolCompleted

          public String getPoolCompleted()

    - #### setClientQueueTime

          public MetricsNaming setClientQueueTime(String clientQueueTime)

    - #### setClientQueuePending

          public MetricsNaming setClientQueuePending(String clientQueuePending)

    - #### setClientProcessingTime

          public MetricsNaming setClientProcessingTime(String clientProcessingTime)

    - #### setClientProcessingPending

          public MetricsNaming setClientProcessingPending(String clientProcessingPending)

    - #### setClientResetsCount

          public MetricsNaming setClientResetsCount(String clientResetsCount)

    - #### setDatagramBytesRead

          public MetricsNaming setDatagramBytesRead(String datagramBytesRead)

    - #### setDatagramBytesWritten

          public MetricsNaming setDatagramBytesWritten(String datagramBytesWritten)

    - #### setDatagramErrorCount

          public MetricsNaming setDatagramErrorCount(String datagramErrorCount)

    - #### setEbHandlers

          public MetricsNaming setEbHandlers(String ebHandlers)

    - #### setEbPending

          public MetricsNaming setEbPending(String ebPending)

    - #### setEbProcessed

          public MetricsNaming setEbProcessed(String ebProcessed)

    - #### setEbPublished

          public MetricsNaming setEbPublished(String ebPublished)

    - #### setEbSent

          public MetricsNaming setEbSent(String ebSent)

    - #### setEbReceived

          public MetricsNaming setEbReceived(String ebReceived)

    - #### setEbDelivered

          public MetricsNaming setEbDelivered(String ebDelivered)

    - #### setEbDiscarded

          public MetricsNaming setEbDiscarded(String ebDiscarded)

    - #### setEbReplyFailures

          public MetricsNaming setEbReplyFailures(String ebReplyFailures)

    - #### setEbBytesRead

          public MetricsNaming setEbBytesRead(String ebBytesRead)

    - #### setEbBytesWritten

          public MetricsNaming setEbBytesWritten(String ebBytesWritten)

    - #### setHttpQueueTime

          public MetricsNaming setHttpQueueTime(String httpQueueTime)

    - #### setHttpQueuePending

          public MetricsNaming setHttpQueuePending(String httpQueuePending)

    - #### setHttpActiveRequests

          public MetricsNaming setHttpActiveRequests(String httpActiveRequests)

    - #### setHttpRequestsCount

          public MetricsNaming setHttpRequestsCount(String httpRequestsCount)

    - #### setHttpRequestBytes

          public MetricsNaming setHttpRequestBytes(String httpRequestBytes)

    - #### setHttpResponseTime

          public MetricsNaming setHttpResponseTime(String httpResponseTime)

    - #### setHttpResponsesCount

          public MetricsNaming setHttpResponsesCount(String httpResponsesCount)

    - #### setHttpResponseBytes

          public MetricsNaming setHttpResponseBytes(String httpResponseBytes)

    - #### setHttpActiveWsConnections

          public MetricsNaming setHttpActiveWsConnections(String httpActiveWsConnections)

    - #### setHttpRequestResetsCount

          public MetricsNaming setHttpRequestResetsCount(String httpRequestResetsCount)

    - #### setNetActiveConnections

          public MetricsNaming setNetActiveConnections(String netActiveConnections)

    - #### setPoolUsage

          public MetricsNaming setPoolUsage(String poolUsage)

    - #### setPoolInUse

          public MetricsNaming setPoolInUse(String poolInUse)

    - #### setPoolUsageRatio

          public MetricsNaming setPoolUsageRatio(String poolUsageRatio)

    - #### setPoolCompleted

          public MetricsNaming setPoolCompleted(String poolCompleted)

    - #### getNetBytesRead

          public String getNetBytesRead()

    - #### setNetBytesRead

          public MetricsNaming setNetBytesRead(String netBytesRead)

    - #### getNetBytesWritten

          public String getNetBytesWritten()

    - #### setNetBytesWritten

          public MetricsNaming setNetBytesWritten(String netBytesWritten)

    - #### getNetErrorCount

          public String getNetErrorCount()

    - #### setNetErrorCount

          public MetricsNaming setNetErrorCount(String netErrorCount)

    - #### getPoolQueueTime

          public String getPoolQueueTime()

    - #### setPoolQueueTime

          public MetricsNaming setPoolQueueTime(String poolQueueTime)

    - #### getPoolQueuePending

          public String getPoolQueuePending()

    - #### setPoolQueuePending

          public MetricsNaming setPoolQueuePending(String poolQueuePending)

Copyright © 2022 Eclipse. All rights reserved.